Security Enhanced Linux Reference Policy

# Layer: services

## Module: apcupsd

Tunables Interfaces

### Description:

APC UPS monitoring daemon.

### Tunables:

allow_httpd_apcupsd_cgi_script_anon_write

##### Default value

false

##### Description

Determine whether the script domain can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

Return

### Interfaces:

apcupsd_admin( domain , role )

##### Summary

All of the rules required to administrate an apcupsd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

apcupsd_append_log( domain )

##### Summary

Append apcupsd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apcupsd_cgi_script_domtrans( domain )

##### Summary

Execute a domain transition to run httpd_apcupsd_cgi_script.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

apcupsd_domtrans( domain )

##### Summary

Execute a domain transition to run apcupsd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

apcupsd_initrc_domtrans( domain )

##### Summary

Execute apcupsd server in the apcupsd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

apcupsd_read_log( domain )

##### Summary

Read apcupsd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apcupsd_read_pid_files( domain )

##### Summary

Read apcupsd PID files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return